| Disk ARchive 2.7.18 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::archive_summary Class Reference
API

the archive_summary class provides information about a given archive More...

`#include <archive_summary.hpp>`

## Public Member Functions
| archive_summary (const archive_summary &ref)=default
| archive_summary (archive_summary &&ref) noexcept=default
archive_summary & | operator= (const archive_summary &ref)=default
archive_summary & | operator= (archive_summary &&ref) noexcept=default
const infinint & | get_slice_size () const
const infinint & | get_first_slice_size () const
const infinint & | get_last_slice_size () const
const infinint & | get_ref_slice_size () const
const infinint & | get_ref_first_slice_size () const
const infinint & | get_slice_number () const
const infinint & | get_archive_size () const
const infinint & | get_catalog_size () const
const infinint & | get_storage_size () const
const infinint & | get_data_size () const
const entree_stats & | get_contents () const
std::string | get_edition () const
std::string | get_compression_algo () const
std::string | get_user_comment () const
std::string | get_cipher () const
std::string | get_asym () const
bool | get_signed () const
bool | get_tape_marks () const
std::string | get_in_place () const
void | set_slice_size (const infinint &arg)
void | set_first_slice_size (const infinint &arg)
void | set_last_slice_size (const infinint &arg)
void | set_ref_slice_size (const infinint &arg)
void | set_ref_first_slice_size (const infinint &arg)
void | set_slice_number (const infinint &arg)
void | set_archive_size (const infinint &arg)
void | set_catalog_size (const infinint &arg)
void | set_storage_size (const infinint &arg)
void | set_data_size (const infinint &arg)
void | set_contents (const entree_stats &arg)
void | set_edition (const std::string &arg)
void | set_compression_algo (const std::string &arg)
void | set_user_comment (const std::string &arg)
void | set_cipher (const std::string &arg)
void | set_asym (const std::string &arg)
void | set_signed (bool arg)
void | set_tape_marks (bool arg)
void | set_in_place (const std::string &arg)
void | clear ()

## Private Attributes
infinint | slice_size
| slice of the middle slice or zero if not applicable
infinint | first_slice_size
| slice of the first slices or zero if not applicable
infinint | last_slice_size
| slice of the last slice or zero if not applicable
infinint | ref_slice_size
| slice of the slice of the archive of reference
infinint | ref_first_slice_size
| slice of the first slice of the archive of reference
infinint | slice_number
| number of slices composing the archive of zero if unknown
infinint | archive_size
| total size of the archive
infinint | catalog_size
| catalogue size if known, zero if not
infinint | storage_size
| amount of byte used to store (compressed/encrypted) data
infinint | data_size
| amount of data saved (once uncompressed/unciphered)
entree_stats | contents
| nature of saved files
std::string | edition
| archive format
std::string | algo_zip
| compression algorithm
std::string | user_comment
| user comment
std::string | cipher
| encryption algorithm
std::string | asym
| asymetrical encryption
bool | is_signed
| whether the archive is signed
bool | tape_marks
| whether the archive has tape marks (for sequential reading)
std::string | in_place
| in_place path empty string if absent

## Detailed Description

the archive_summary class provides information about a given archive

Definition at line 44 of file archive_summary.hpp.

The documentation for this class was generated from the following file:

- archive_summary.hpp